#include <QtCore/QString>
#include <QtCore/QEvent>

#include <maptoolzoomin.h>
#include <maptoolzoomin.h>
#pragma execution_character_set("utf-8")

namespace LAMPMainWidget {

void
MapToolZoomIn::execute(QMouseEvent *event) {
  if(!(event->button() & Qt::LeftButton) || event->type() != QEvent::MouseButtonPress){
    return;
  }

  int zoom = mMapCanvas->zoomValue();
  ++zoom;
  mMapCanvas->setZoomValue(zoom);
}

void
MapToolZoomIn::setup() {
  /// do nothing
}

QString
MapToolZoomIn::id() {
  return QString{"zoomin_tool"};
}

void
MapToolZoomIn::deSetup() {
  /// do nothing
}

}

